#include <Controller/GadgetController/GadgetController.hpp>
#include <ControllerChannel/ControllerChannel.hpp>
#include <Entity/PhysicsEntity/CameraEntity/Player/Player.hpp>

const ItemStack& GadgetController::getBoundStack()
{
    return *channel.player.items.store("equipment").at(*equipmentSlotIndex);
}

GadgetController::GadgetController(ControllerChannel &channel) :
    Controller(channel)
{}

void GadgetController::bindEquipmentSlot(uint32_t slot)
{
    equipmentSlotIndex = slot;
}

void GadgetController::initLocal(const ItemStack &stack)
{
    // NOP
}

bool GadgetController::isBusy()
{
    // Gadgets cannot be busy.
    return false;
}